// pages/home/xx/hy/index.js
const app = getApp();//新建页面时 默认引入
const req = app.xzjlReq();//初始化一个的request() 实例
Page({

    /**
     * 页面的初始数据
     */
    data: {
        list: []
    },
    go2Reback(){
        wx.navigateTo({
            url: '/pages/home/xx/lindex/lindex'
            })
    },
    go2Xz(){
        wx.navigateTo({
            url: '/pages/home/xx/hy/index'
            })
    },
    go2Yx(){
        wx.navigateTo({
            url: '/pages/home/xx/hy/yx/yx'
            })
    },
    go2Hx(){
        wx.navigateTo({
            url: '/pages/home/xx/hy/hx/hx'
            })
    },
    go2Zt(){
        wx.navigateTo({
            url: '/pages/home/xx/hy/zt/zt'
            })
    },
    delLetter(){
        console.log('删除');
    },
    getList(){
        req.getRequest('/api/user/curt/message/lover',{
                limit:-1,
                type: 'letter'
            }).then(res => {
            const list = res.data.data.records
            list.forEach(item => {
                // 将时间字符串转为Date对象
                const date = new Date(item.createdAt);

                // 获取年月日时分秒
                const year = date.getFullYear();
                const month = date.getMonth() + 1;
                const day = date.getDate();
                const hour = date.getHours();
                const minute = date.getMinutes();
                const second = date.getSeconds();

                // 格式化时间
                const formattedDate = `${year}年${month}月${day}日 ${hour}:${minute}`;
                item.createdAt = formattedDate
            })
            
            console.log(list);
            this.setData({list: list})
        })
    },
    getLoveInfo(){
        req.getRequest('/api/user/curt/lover',{}).then(res => {
            console.log(res);
            this.setData({
                avatar: res.data.data.avatar,
                nick: res.data.data.nick
            })
        })
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.getList()
        this.getLoveInfo()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})